# synfig::ValueNode_Greyed Class Reference

`#include <valuenode_greyed.h>`

Inheritance diagram for synfig::ValueNode_Greyed:

List of all members.

## Public Types

typedef etl::handle < ValueNode_Greyed > | Handle

## Public Member Functions

| ValueNode_Greyed (const ValueBase::Type &x)
| ValueNode_Greyed (const ValueNode::Handle &x)
virtual String | get_name () const
| Returns the name of the ValueNode type.
virtual String | get_local_name () const
| Returns the localized name of the ValueNode type.

## Static Public Member Functions

static ValueNode_Greyed * | create (const ValueBase &x)

## Protected Member Functions

LinkableValueNode * | create_new () const

## Member Typedef Documentation

typedef etl::handle<ValueNode_Greyed> synfig::ValueNode_Greyed::Handle

Reimplemented from synfig::ValueNode_Reference.

## Constructor & Destructor Documentation

ValueNode_Greyed::ValueNode_Greyed | ( | const ValueBase::Type & | x | ) |

Referenced by create(), and create_new().

ValueNode_Greyed::ValueNode_Greyed | ( | const ValueNode::Handle & | x | ) |

References synfig::LinkableValueNode::set_link().

## Member Function Documentation

String ValueNode_Greyed::get_name | ( |  | ) | const`[virtual]`

Returns the name of the ValueNode type.

Reimplemented from synfig::ValueNode_Reference.

String ValueNode_Greyed::get_local_name | ( |  | ) | const`[virtual]`

Returns the localized name of the ValueNode type.

Reimplemented from synfig::ValueNode_Reference.

References _.

LinkableValueNode * ValueNode_Greyed::create_new | ( |  | ) | const`[protected, virtual]`

Reimplemented from synfig::ValueNode_Reference.

References synfig::ValueNode::get_type(), and ValueNode_Greyed().

ValueNode_Greyed * ValueNode_Greyed::create | ( | const ValueBase & | x | ) | `[static]`

Reimplemented from synfig::ValueNode_Reference.

References synfig::ValueNode_Const::create(), and ValueNode_Greyed().

The documentation for this class was generated from the following files:

- valuenode_greyed.h
- valuenode_greyed.cpp